/*
* $Header: /home/dto/octal/RCS/ox_wrappers.h,v 1.3 2000/07/19 08:00:06 dto Exp dto $
* (C) 2000 David O'Toole dto@gnu.org $Date: 2000/07/19 08:00:06 $
* $Revision: 1.3 $
* 
* OX_WRAPPERS.H
* This file is the lightweight C++ wrapper for the OX_API.
* It's part of the GNU OCTAL project; see http://www.gnu.org/software/octal
* for more information.  
*
* No, this interface isn't pretty on the inside. But neither is C++ :-)
*
* This software is distributed under the terms of the
* GNU General Public License (GPL). Read the included file
* COPYING for more information. 
* 
* $Log: ox_wrappers.h,v $
* Revision 1.3  2000/07/19 08:00:06  dto
* brought up to OX_API 0.9
*
* Revision 1.2  2000/06/10 01:11:06  dto
* Minor changes.
*
* Revision 1.1  2000/06/03 05:55:49  dto
* Initial revision
*
*
*/

#ifndef _ox_wrappers_h_
#define _ox_wrappers_h_ "@(#)myfile.h $Revision: 1.3 $"

extern "C" {
#include "octal.h"
#include "machine.h"
}

/* class OX_Machine just defines the interface to keep things
   consistent.  none of its member functions will ever be called,
   because calls to the derived class will all be statically bound */

class OX_Machine {
 public: 
  OX_Machine(machine* m) {};        
  ~OX_Machine() {};
  static int initialize(machine_type* t) {};   
  void describe(char* dest, int which, param value) {}; 
  void update(int track, int which, param value) {};           
  int work(int block_size) {}; 
  int track(int change) {};

  machine* m; 
  package* pkg; 
  samp *lin, *rin, *lout, *rout; 
};

#endif /* _ox_wrappers_h_
/* $Source: /home/dto/octal/RCS/ox_wrappers.h,v $ */









