/* $Header: /home/dto/octal/RCS/util.h,v 1.3 2000/03/11 06:33:33 dto
* Exp dto $ (C) 2000 David O'Toole $Date: 2000/07/19 08:00:06 $
* $Revision: 1.6 $
* 
* OCTAL's various utility functions. 
*
* This software is distributed under the terms of the
* GNU General Public License (GPL). Read the included file
* COPYING for more information. 
* */
#ifndef _util_h_
#define _util_h_ "@(#)util.h $Revision: 1.6 $"

#include "octal.h"

/* initialization */

void init_freq_table(void);                /* fill the frequency table. */
void init_note_names(void);                /* fill notename table.      */

/* musical data conversion functions */

param pkg_text2note(const char* name);   /* accepts things like c-2, f#5, b-4       */ 
const char* pkg_note2text(param val);    /* returns things like c-2, f#5, b-4       */

freq pkg_text2freq(const char* name);    /* accepts things like c-2, f#5, b-4       */
freq pkg_note2freq(param val); 	         /* accepts OCTAL's note format, gives freq */

#endif /*_util_h_*/

/* $Source: /home/dto/octal/RCS/util.h,v $ */
