/*
* $Header: /home/dto/octal/RCS/core.c,v 1.1 2000/07/19 08:00:06 dto Exp dto $
* (C) 2000 David O'Toole $Date: 2000/07/19 08:00:06 $
*
* CORE.C
* implementation for the backend thread / command processor
* of gnu octal
*
* $Revision: 1.1 $
* This software is distributed under the terms of the
* GNU General Public License (GPL). Read the included file
* COPYING for more information. 
*
*/
#include <stdio.h>
#include "octal.h"    /* typedefs, etcetera            */ 
#include "util.h"     /* notes, pitches                */ 
#include "machine.h"  /* machine loader/comm functions */  
#include "engine.h"   /* mixing engine/signal network  */ 
#include "output.h"   /* for /dev/dsp device support   */ 
#include "pattern.h"  /* pattern system                */ 
#include "commands.h" /* ipc plumbing                  */ 
/* #include "sequencer.h" */ 

/* ox_core
 *    
 * 
 */ 

void ox_core(void* unused) 
{
  char buff[100];
  int n; 

  set_block_size(8820); 
  init_sound(OX_SAMPLING_RATE);
  init_freq_table();
  init_note_names();
  load_type_registry(".");  
  
  write(1, "ox_core()!", 11);

  n = read(user_pipe[0], buff, sizeof(buff)); 
  write(1, buff, n); 
}


/* End $Source: /home/dto/octal/RCS/core.c,v $*/















