/*
* $Header: /home/dto/octal/RCS/output.h,v 1.6 2000/03/28 07:17:39 dto Exp $
* (C) 2000 David O'Toole $Date: 2000/03/28 07:17:39 $
* $Revision: 1.6 $
* 
* Output.h
* OCTAL Sound Output Functions
* Uses OSS API
*
* This software is distributed under the terms of the
* GNU General Public License (GPL). Read the included file
* COPYING for more information. 
* 
* $Log: output.h,v $
* Revision 1.6  2000/03/28 07:17:39  dto
* See output.c's rlog
*
* Revision 1.5  2000/03/14 06:11:52  dto
* Got rid of dangling prototype for the old m2s() function.
*
* Revision 1.4  2000/03/11 06:33:33  dto
* Conversion and partial rewrite done. Still working. It's 2 AM.
*
* Revision 1.3  2000/02/07 04:03:40  dto
* Last Checkin before shared-objectification
*
* Revision 1.2  2000/01/09 02:33:32  dto
* some minor function changes.
*
*
*
*/
#ifndef _output_h_
#define _output_h_ "@(#)myfile.h $Revision: 1.6 $"

#include "octal.h"

int  init_sound(int samplerate);                        /* initialize sound system                        */
void set_block_size(int bs);                            /* choose a block size for output                 */
void output_block(samp *left, samp *right, int numsamples);                     
void close_sound();                                     /* shut down the sound driver                     */


#endif /*_output_h_*/

/* $Source: /home/dto/octal/RCS/output.h,v $ */
